Package org.apache.sysds.runtime.functionobjects

# Enum Class ParameterizedBuiltin.ParameterizedBuiltinCode

java.lang.Object
java.lang.Enum<ParameterizedBuiltin.ParameterizedBuiltinCode>
org.apache.sysds.runtime.functionobjects.ParameterizedBuiltin.ParameterizedBuiltinCode

All Implemented Interfaces:
  `Serializable`, `Comparable<ParameterizedBuiltin.ParameterizedBuiltinCode>`, `Constable`

Enclosing class:
  ParameterizedBuiltin

public static enum ParameterizedBuiltin.ParameterizedBuiltinCode extends Enum<ParameterizedBuiltin.ParameterizedBuiltinCode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTODIFF`
`CDF`
`INVCDF`
`LOWER_TRI`
`PARAMSERV`
`REPLACE`
`REXPAND`
`RMEMPTY`
`TOKENIZE`
`TRANSFORMAPPLY`
`TRANSFORMDECODE`
`UPPER_TRI`

## Method Summary

Modifier and Type
Method
Description
`static ParameterizedBuiltin.ParameterizedBuiltinCode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParameterizedBuiltin.ParameterizedBuiltinCode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AUTODIFF

public static final ParameterizedBuiltin.ParameterizedBuiltinCode AUTODIFF

### CDF

public static final ParameterizedBuiltin.ParameterizedBuiltinCode CDF

### INVCDF

public static final ParameterizedBuiltin.ParameterizedBuiltinCode INVCDF

### RMEMPTY

public static final ParameterizedBuiltin.ParameterizedBuiltinCode RMEMPTY

### REPLACE

public static final ParameterizedBuiltin.ParameterizedBuiltinCode REPLACE

### REXPAND

public static final ParameterizedBuiltin.ParameterizedBuiltinCode REXPAND

### LOWER_TRI

public static final ParameterizedBuiltin.ParameterizedBuiltinCode LOWER_TRI

### UPPER_TRI

public static final ParameterizedBuiltin.ParameterizedBuiltinCode UPPER_TRI

### TOKENIZE

public static final ParameterizedBuiltin.ParameterizedBuiltinCode TOKENIZE

### TRANSFORMAPPLY

public static final ParameterizedBuiltin.ParameterizedBuiltinCode TRANSFORMAPPLY

### TRANSFORMDECODE

public static final ParameterizedBuiltin.ParameterizedBuiltinCode TRANSFORMDECODE

### PARAMSERV

public static final ParameterizedBuiltin.ParameterizedBuiltinCode PARAMSERV

## Method Details

### values

public static ParameterizedBuiltin.ParameterizedBuiltinCode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParameterizedBuiltin.ParameterizedBuiltinCode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null